EPD Extension Kit for MSP430 LaunchPad

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Macros | Functions
EPD_Kit_Tool_Process.h File Reference

The definition of EPD Kit Tool. More...

`#include <Pervasive_Displays_small_EPD.h>`
`#include "EPD_Led.h"`
`#include "Char.h"`
`#include "Mem_Flash.h"`
`#include "Uart_Driver.h"`
`#include "Uart_Controller.h"`

Go to the source code of this file.

## Classes
struct | image_information_t
| Structure of the image information. More...
struct | slideshow_information_t
| Structure of the slideshow information. More...

## Macros
#define | Firmware_Version EPD_KIT_TOOL_VERSION
#define | KitID_Number EPD_KIT_TOOL_ID
#define | BUFFER_SIZE 2
#define | PAYLOAD_SIZE 64

## Functions
void | EPD_Kit_Tool_process_init (void)
| Initialize the UART data buffer, check extension board is connected and and check slideshow is enabled. More...
void | EPD_Kit_tool_process_task (void)
| Polling system packet to data buffer. More...
void | EPD_display_partialupdate (uint8_t EPD_type_index, long previous_image_address, long new_image_address, long mark_image_address, EPD_read_flash_handler On_EPD_read_flash)
| Write image data from Flash memory to the EPD using partial update. More...

## Detailed Description

The definition of EPD Kit Tool.

Copyright (c) 2012-2013 Pervasive Displays Inc. All rights reserved.

Authors: Pervasive Displays Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

void EPD_display_partialupdate | ( | uint8_t | EPD_type_index,
|  | long | previous_image_address,
|  | long | new_image_address,
|  | long | mark_image_address,
|  | EPD_read_flash_handler | On_EPD_read_flash
| ) |  |

Write image data from Flash memory to the EPD using partial update.

Parameters

  EPD_type_index | The defined EPD size
  previous_image_address | The previous image address
  new_image_address | The new (canvas) image address
  mark_image_address | The mark image address
  On_EPD_read_flash | Developer needs to create an external function to read flash

partial update uses two stages: black/white and new image

Power off COG Driver

Save image combines with ASCII text

partial update uses two stages: black/white and new image

Power off COG Driver

Save image combines with ASCII text

void EPD_Kit_Tool_process_init | ( | void |  | ) |

Initialize the UART data buffer, check extension board is connected and and check slideshow is enabled.

Initialize the UART data buffer and start receiving system packets

Check if slideshow is enabled

void EPD_Kit_tool_process_task | ( | void |  | ) |

Polling system packet to data buffer.

Run slideshow if interval has value and not zero